package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Staff_application;
import com.realnet.vpspack.Services.Staff_applicationService ;














@RequestMapping(value = "/Staff_application")
 @CrossOrigin("*") 
@RestController
public class Staff_applicationController {
	@Autowired
	private Staff_applicationService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Staff_application")
		  public Staff_application Savedata(@RequestBody Staff_application data) {
		Staff_application save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Staff_application/{id}")
	public  Staff_application update(@RequestBody Staff_application data,@PathVariable Integer id ) {
		Staff_application update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Staff_application/getall/page")
	public Page<Staff_application> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Staff_application> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Staff_application")
	public List<Staff_application> getdetails() {
		 List<Staff_application> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Staff_application")
	public List<Staff_application> getallwioutsec() {
		 List<Staff_application> get = Service.getdetails();		
		return get;
}
@GetMapping("/Staff_application/{id}")
	public  Staff_application  getdetailsbyId(@PathVariable Integer id ) {
		Staff_application  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Staff_application/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}